<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php include ("../inc/func.inc.php") ?>
<?php include ("../inc/func_log.inc.php") ?>
<?php include ("../inc/func_txt.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$desc = str_majuscules(strip_tags(trim(@$_POST["desc"])));
		
		if ($typdde == "add")
		{
			// Ajout de la fiche Catégorie Matériel
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "SELECT * FROM " .TBRPCAT. " WHERE rpcat_code = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs) == 0)
			{
				$rs = mysql_query("INSERT INTO " .TBRPCAT. "(rpcat_code,rpcat_desc) VALUES ('$code','$desc')") or die(mysql_error());
				$msg = "Fiche Ajoutée avec succès !";			
				$retourliste = TRUE;
			}
			else
			{
				$msg = "Ce code existe déjà !";
				$retourliste = FALSE;
			}
			mysql_close($conn);
		}
		
		if ($typdde == "edit")
		{
			// Modification de la fiche Catégorie Matériel
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBRPCAT. "` SET `rpcat_desc`='".$desc."' WHERE `rpcat_code` = '".$code."'";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = "Fiche modifiée avec succès !";			
			$retourliste = TRUE;
			mysql_close($conn);
		}
		
		if ($typdde == "del")
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);

			// Vérifie si utilisé dans une fiche relevé
			
			$rexist = "SELECT * FROM `" .TBRPDT. "` WHERE `rpdt_codecat` = '$code'";
			$rs = mysql_query($rexist) or die(mysql_error());
			if (mysql_num_rows($rs) > 0)
			{
				$ok_del = FALSE;
				$msg = "Cette catégorie est utilisée dans une fiche relevé !";			
				$retourliste = FALSE;
			}
			else
			{
				// SUPPRESSION de la fiche Catégorie Matériel
			
				$rech = "DELETE FROM `" .TBRPCAT. "` WHERE `rpcat_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());

				$msg = "Fiche supprimée avec succès !";			
				$retourliste = TRUE;
			}
			mysql_close($conn);
		}		
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Relev&eacute;s - Fiche Cat&eacute;gorie Mat&eacute;riel</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
</body>

<?php 
	include_once ("../inc/entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) { ?>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="rpcat_lst.php"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="rpcat_lst.php" class="annot_gras_it">Retour &agrave; la liste</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP } else { ?>
	<script type="text/javascript">
	window.setTimeout("location=('rpcat_lst.php');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour à la liste dans 2 secondes...</p>
<?PHP } ?>

<?php 
	include_once ("pied.php")
?>

